[Expand]General Information
[Expand]WinForms Controls
[Collapse]ASP.NET Controls and MVC Extensions
 [Expand]Prerequisites
 [Expand]What's Installed
 [Collapse]Common Concepts
  [Expand]Web.config Modifications
  [Expand]Callback Exception Handling
  [Expand]Client-Side Functionality
  [Expand]Cookies Support
  [Expand]Appearance Customization - Theming
   Icon Collection
  [Expand]Performance Optimization
  [Expand]CSS Image Sprites
   Supported Document Types
  [Expand]Accessibility Support
   Right to Left Support
   HTML Encoding
   Binary Storage Configuration
  [Collapse]SharePoint Support
   [Expand]Ready to Use Web Parts
   [Expand]Developer Capabilities
    SharePoint Troubleshooting Guide
   Mobile Support
  [Expand]Office Document Management
   Cloud Storage Account Management
  [Expand]Web Farm and Web Garden Support
 [Expand]ASP.NET WebForms Controls
 [Expand]ASP.NET MVC Extensions
 [Expand]Localization
 [Expand]Redistribution and Deployment
  Get More Help
 [Expand]API Reference
[Expand]ASP.NET Bootstrap Controls
[Expand]ASP.NET Core Bootstrap Controls
[Expand]WPF Controls
[Expand]Xamarin Controls
[Expand]Windows 10 App Controls
[Expand]Office File API
[Expand]Reporting
[Expand]Report and Dashboard Server
[Expand]Dashboard
[Expand]eXpressApp Framework
[Expand]eXpress Persistent Objects
[Expand]CodeRush
[Expand]CodeRush Classic
[Expand]Cross-Platform Core Libraries
[Expand]Tools and Utilities
 End-User Documentation
View this topic on docs.devexpress.com (Learn more)

SharePoint Support

The DevExpress ASP.NET product line provides the following capabilities to enhance your SharePoint portals:

Expanded Version History

Before version 13.1 (v2013 vol 1), DevExpress ASP.NET controls supported the following SharePoint versions:

  • WSS 3.0
  • MOSS 2007
  • SharePoint 2010

Starting with version 13.1 (v2013 vol 1), DevExpress ASP.NET controls only support SharePoint 2013.

Starting with version 17.1 (v2017 vol 1), DevExpress ASP.NET controls support SharePoint 2013 and SharePoint 2016.

Note

DevExpress base/ASP.NET products migrated to .NET Framework v4+ starting with version 13.1 (v2013 vol 1). It no longer supports SharePoint versions before SharePoint 2013 because they require/operate under ASP.NET v2 (.NET v2) runtime.

Expanded Concepts

Expanded Online Demo

Expanded Online Blogs

Is this topic helpful?​​​​​​​